# Z180 COFF File Format

Assembler code

```
seg000:000E                 dec     bc
seg000:000F                 inc     c
seg000:0010
seg000:0010 loc_10:                                 ; CODE XREF: seg000:010F↓p
seg000:0010                 dec     c
seg000:0011                 ld      c, 88h ; 'ˆ'
seg000:0013                 rrca
seg000:0014                 djnz    sub_0
seg000:0016                 djnz    loc_1B
seg000:0018
seg000:0018 loc_18:                                 ; CODE XREF: seg000:011C↓p
seg000:0018                 ld      de, 9876h
seg000:001B
seg000:001B loc_1B:                                 ; CODE XREF: sub_0+16↑j
seg000:001B                 ld      (de), a
seg000:001C                 inc     de
seg000:001D                 inc     d
seg000:001E                 dec     d
seg000:001F
seg000:001F loc_1F:                                 ; CODE XREF: seg000:0129↓p
seg000:001F                 ld      d, 88h ; 'ˆ'
seg000:0021                 rla
seg000:0022                 jp      loc_88
seg000:0025 ; ---------------------------------------------------------------------------
seg000:0025                 add     hl, de
seg000:0026                 ld      a, (de)
seg000:0027                 dec     de
seg000:0028
seg000:0028 loc_28:                                 ; CODE XREF: seg000:0135↓p
seg000:0028                 inc     e
seg000:0029                 dec     e
seg000:002A                 ld      e, 88h ; 'ˆ'
seg000:002C                 rra
seg000:002D                 jp      nz, loc_88
seg000:0030
seg000:0030 loc_30:                                 ; CODE XREF: seg000:0142↓p
seg000:0030                 ld      hl, 9876h
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/8.4/user-guide/disassembler/disassembly-gallery/z180-coff-file-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
